Update the status of a consignment

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • closedTransactionDate
    Type: string | nullFormat: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • inTransitDispatchDateTime
    Type: string | nullFormat: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • status
    Type: integerenum

    Integer numbers.

    values
    • Complete = 0
    • Pending = 1
    • ReadyToPick = 2
    • ReadyToDispatch = 3
    • ReadyToReceive = 4
Responses
  • 200

    OK

Request Example for put/v1/consignments/{consignmentId}/status
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/status \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "enum (Complete = 0, Pending = 1, ReadyToPick = 2, ReadyToDispatch = 3, ReadyToReceive = 4, InProgress = 5, Closed = 6, InTransit = 7, Draft = 8, Void = -2, Open = -1)",
  "inTransitDispatchDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "closedTransactionDate": "datetime (YYYY-MM-DDTHH:MM:SSZ)"
}'
No Body